Skip to content

Use this request to export only specific sections and documents from the latest version of a binder in your Vault. This will export only parts of the binder, not the complete binder.

Before submitting this request:

  • The Export Binder feature must be enabled in your Vault.
  • You must be assigned permissions to use the API.
  • You must have the Export Binder permission.
  • You must have the View Document permission for the binder.
  • Only documents in the binder which you have the View Document permission are available to export.

To export the latest version,

POST/api/{version}/objects/binders/{binder_id}/actions/export

To export a specific version,

POST/api/{version}/objects/binders/{binder_id}/versions/{major_version}/{minor_version}/actions/export

NameDescription
Content-Typeapplication/json or text/csv
Acceptapplication/json (default) or application/xml
NameDescription
{binder_id}The binder id field value.
{major_version}The binder major_version_number__v field value.
{minor_version}The binder minor_version_number__v field value.

Create a CSV or JSON input file with the id values of the binder sections and/or documents to be exported.

To retrieve a list of all nodes from a binder, GET /api/{version}/objects/binders/{binder_id}?depth=all. You may include any number of valid nodes. Vault will ignore id values which are invalid, but will export all which are valid.

For example, the abridged response below includes two nodes from a binder. Node "id": "1415381339215" is a section (folder) and "id": "1415381339220" is a document node.

Exporting a binder section node will automatically include all of its subsections and documents therein.

{ "nodes": [ { "properties": { "section_number__v": "02.01.01", "name__v": "Investigator Brochure", "order__v": 0, "type__v": "section", "id": "1415381339215", "parent_id__v": "1415381339209" }, "nodes": [ { "properties": { "document_id__v": 18, "name__v": "CHC032-194 Investigator Brochure", "order__v": 0, "type__v": "document", "id": "1415381339220", "parent_id__v": "1415381339215" } }, ] } ] }

To export just this one section and document from the binder, we would submit the following input file:

id 1415381339215 1415381339220
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: text/csv" \ --data-binary @"C:\Vault\Binders\export-binder-sections.csv" \ https://myvault.veevavault.com/api/v18.3/objects/binders/454/1/0/actions/export
{ "responseStatus": "SUCCESS", "responseMessage": "Job for Binder Export Started", "URL": "https://myvault.veevavault.com/api/v18.3/services/jobs/1201", "job_id": 1201 }

On SUCCESS, the response includes the following information:

  • URL - The URL to retrieve the current status of the binder export job.
  • job_id - The Job ID value is used to retrieve the status and results of the binder export request.